Bug 74021 - mysqld will not allow local infile
mysqld will not allow local infile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 16:31 EDT by John Opalko
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 10:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Opalko 2002-09-13 16:31:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-10a i686)

Description of problem:
In MySQL 3.23.49 use of LOAD DATA LOCAL INFILE is not allowed, due to a bug in a
security enhancement put in by the MySQL developers.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a table in a test database.
2. Attempt to load the table using LOAD DATA LOCAL INFILE
3.
	

Actual Results:  ERROR 1148: The used command is not allowed with this MySQL
version

Expected Results:  The data should have been read from the file and loaded into
the table, as it used to do prior to 3.23.49.

Additional info:

The MySQL folks fixed the bug in 3.23.50.  Perhaps RedHat should pick up that
version or, possibly, the latest version, 3.23.52.
Comment 1 Patrick Macdonald 2003-02-19 10:47:37 EST
This has been addressed in the current version of MySQL shipped
by Red Hat.  The LOAD DATA LOCAL INFILE is available.

Note You need to log in before you can comment on or make changes to this bug.